IRPCServerAdmin.JoinSubscription

View as Markdown

Administration API / specialized admin session

Joins the server to an M-Files Manage subscription.

ServiceServer administration MFiles.IRPCServerAdmin
gRPC method/MFiles.IRPCServerAdmin/JoinSubscription
HTTP (mf-http-grpc)POST /grpc/v1/join-subscription
RequestJoinSubscriptionRequest
ResponseJoinSubscriptionResponse
Book and levelAdministration API, specialized
Kindadmin
SessionRequired: the session ID from LogIn in the mfiles-session-id-bin metadata.
Idempotentno
Returns metadata structure versionno
Streamingnone (unary)

Remarks

Request: JoinSubscriptionRequest

Nested message fields are expanded to depth 3; follow a type link for deeper levels and for the type's own page.

FieldTypeDescription
tokenstringThe access token from M-Files Manage that authorizes joining.
subscription_idstringThe ID of the subscription to join.

Response: JoinSubscriptionResponse

Nested message fields are expanded to depth 3; follow a type link for deeper levels and for the type's own page.

FieldTypeDescription
subscription_infoSubscriptionInfoThe subscription information after joining.
subscription_info.authentication_serverstringThe network address (name) of the mAuth server.
subscription_info.subscriptionstringThe subscription info server is joined to.
subscription_info.manage_addressstringThe URL to the manage web.
subscription_info.uses_one_dbboolTrue if server uses OneDb.
subscription_info.can_joinboolTrue to allow changing the OneDb configuration.
subscription_info.is_on_premboolTrue if joined to subscription and not in container.
subscription_info.is_isolatedboolTrue if server is in isolated container.